Page MenuHomePhabricator

enlightenment_askpass prints warning
Open, Incoming QueuePublic

Description

Attempting to do a 'git pull', enlightenment_askpass pops up, and after I enter password I see:

ERR<29924>:efreet_cache lib/efreet/efreet_cache.c:396 efreet_cache_shutdown() This application has not properly closed all its desktop references!

/usr/lib64/libeina.so.1         | ??/??: 0 @ _eina_semaphore_free()
/usr/lib64/libeina.so.1         | ??/??: 0 @ eina_log_print_cb_stdout()
/usr/lib64/libeina.so.1         | ??/??: 0 @ eina_log_print()
/usr/lib64/libefreet.so.1       | ??/??: 0 @ efreet_icon_cache_file()
/usr/lib64/libefreet.so.1       | ??/??: 0 @ efreet_shutdown()
/usr/lib64/libefreet_mime.so.1  | ??/??: 0 @ efreet_mime_shutdown()
/usr/lib64/libeio.so.1          | ??/??: 0 @ eio_shutdown()
/usr/lib64/libelementary.so.1   | ??/??: 0 @ elm_quicklaunch_shutdown()
/usr/lib64/libelementary.so.1   | ??/??: 0 @ elm_shutdown()
  /usr/bin/enlightenment_askpass|   /  : 0 @ ()
    /lib64/libc.so.6            | ??/??: 0 @ __libc_start_main()
  /usr/bin/enlightenment_askpass|   /  : 0 @ ()

I haven't seen this problem in a while

ProhtMeyhet closed this task as Resolved.Sep 22 2018, 10:54 PM
ProhtMeyhet claimed this task.
ProhtMeyhet added a subscriber: ProhtMeyhet.

I haven't seen this problem in a while

thank you!

please reopen or create a new ticket if this happens again.

charlesgwaldman reopened this task as Open.EditedOct 3 2018, 12:17 PM

After not seeing this error for a while, it just happened again, with a different stack trace:

/usr/lib64/libeina.so.1         |                                          /usr/src/debug/dev-libs/efl-9999/efl-9999/src/lib/eina/eina_log.c      : 2055 @ eina_log_print_cb_stderr()
/usr/lib64/libeina.so.1         |                                          /usr/src/debug/dev-libs/efl-9999/efl-9999/src/lib/eina/eina_log.c      : 1454 @ eina_log_print_unlocked()
/usr/lib64/libeina.so.1         |                                          /usr/src/debug/dev-libs/efl-9999/efl-9999/src/lib/eina/eina_log.c      : 2259 @ eina_log_print()
/usr/lib64/libefreet.so.1       |                                        /usr/src/debug/dev-libs/efl-9999/efl-9999/src/lib/efreet/efreet_cache.c  :  409 @ efreet_cache_shutdown()
/usr/lib64/libefreet.so.1       |                                        /usr/src/debug/dev-libs/efl-9999/efl-9999/src/lib/efreet/efreet.c        :  148 @ efreet_shutdown()
/usr/lib64/libefreet_mime.so.1  |                                        /usr/src/debug/dev-libs/efl-9999/efl-9999/src/lib/efreet/efreet_mime.c   :  445 @ efreet_mime_shutdown()
/usr/lib64/libeio.so.1          |                                           /usr/src/debug/dev-libs/efl-9999/efl-9999/src/lib/eio/eio_main.c      :  376 @ eio_shutdown()
/usr/lib64/libelementary.so.1   |                                    /usr/src/debug/dev-libs/efl-9999/efl-9999/src/lib/elementary/elm_main.c      :  914 @ elm_quicklaunch_shutdown()
/usr/lib64/libelementary.so.1   |                                    /usr/src/debug/dev-libs/efl-9999/efl-9999/src/lib/elementary/elm_main.c      :  456 @ elm_shutdown()
  /usr/bin/enlightenment_askpass| /usr/src/debug/x11-wm/enlightenment-9999/enlightenment-9999-build/../enlightenment-9999/src/bin/e_askpass_main.c:  164 @ main()
    /lib64/libc.so.6            |                                                                                              ??/??              :  164 @ __libc_start_main()
  /usr/bin/enlightenment_askpass|                                                                                                /                :    0 @ ()
ProhtMeyhet reassigned this task from ProhtMeyhet to raster.Nov 5 2018, 7:19 PM

what was the actual error with that trace?

ERR<23908>:efreet_cache lib/efreet/efreet_cache.c:408 efreet_cache_shutdown() This application has not properly closed all its desktop references!

The subject line of this ticket is inaccurate (sorry) - the program is not really failing, I just get this stack trace in my terminal window every so often when I do git operations and am prompted for a password, that makes it look like something went wrong. It's not 100% repeatable but happens fairly regularly. However the enlightenment-askpass program does seem to work since the git operation succeeds, so other than a backtrace printed in my terminal, it's not a major problem.

charlesgwaldman renamed this task from enlightenment_askpass fails to enlightenment_askpass prints warning.Nov 15 2018, 9:14 AM

i don't see the same log but tbh it's not worth really worrying about much.